Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wps.describeprocess
Class SupportedUOMs

    java.lang.Object
      org.deegree.ogcwebservices.wps.describeprocess.SupportedUOMs

    public class SupportedUOMs

extends Object

SupportedUOMs.java Created on 09.03.2006. 22:55:34h List of supported units of measure for a process input or output.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Christian Kiehle, Christian Heier, last edited by: $Author: mschneider $

Field Summary
`protected OWSMetadata` | `defaultUOM` eference to the default UOM supported for this input or output, if any.
`protected List<OWSMetadata>` | `uom` Unordered list of references to the Units of Measure supported for this input or output.

Constructor Summary
`SupportedUOMs(OWSMetadata defaultuom, List<OWSMetadata> uom)`

Method Summary
`OWSMetadata` | `getDefaultUOM()` Gets the value of the defaultUOM property.
`List<OWSMetadata>` | `getUOM()`
`void` | `setDefaultUOM(OWSMetadata defaultUOM)` Sets the value of the defaultUOM property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### uom

    protected List<OWSMetadata> uom

  Unordered list of references to the Units of Measure supported for this input or output. This element shall not be included if there is only one (i.e., the default) UOM supported.

### defaultUOM

    protected OWSMetadata defaultUOM

  eference to the default UOM supported for this input or output, if any. The process shall expect input in or produce output in this UOM unless the Execute request specifies another supported UOM.

Constructor Detail

### SupportedUOMs

    public SupportedUOMs(OWSMetadata defaultuom,
                         List<OWSMetadata> uom)

Parameters:
  `defaultuom` -
  `uom` -

Method Detail

### getUOM

    public List<OWSMetadata> getUOM()

  Returns:
    UOM

### getDefaultUOM

    public OWSMetadata getDefaultUOM()

  Gets the value of the defaultUOM property.

  Returns:
    possible object is `String`

### setDefaultUOM

    public void setDefaultUOM(OWSMetadata defaultUOM)

  Sets the value of the defaultUOM property.

  Parameters:
    `defaultUOM` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org